:root{
    /* Added to separate form VCB */
    --border-radius: 20px;
    --selected_text: green;
    --footer_dark: rgb(100,100,100);
    --problem_text: white;
    --problem_bg: red;
}
#alert_box
{
    display: block;
    position: absolute;
    background-color: ghostwhite;
    color: var(--selected_text);
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    min-width: 300px;
    max-width: 80%;
    min-height: 100px;
    max-height: 80%;
    overflow-y: auto;
    box-shadow: 3px 3px 5px black;
    box-sizing: border-box;
    border-radius: var(--border-radius);
    border: 2px solid var(--footer_dark);
    z-index: 11000;
    transition: ease-in-out;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
}
#alert_box > *:not(h1)
{
    display: block;
    position: relative;
    min-width: 95%;
    margin-left: auto;
    margin-right: auto;
    color: black;
    margin-top: 10px;
    margin-bottom: 10px;
    padding: 5px;
}
#alert_box > h1
{
    display: block;
    position: relative;
    width: 98%;
    min-height: 30px;
    text-align: center;
    margin: 0;
    margin-top: 5px;
    padding: 0;
    font-size: 1.1rem;
    color: white;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
    margin-bottom: 10px;
}
#alert_box > h1::after
{
    content: attr(alt);
    display: flex;
    position: relative;
    color: white;
    width: 86%;
    left: 10px;
    /*
    top: 50%;
    transform: translateX(-50%) translateY(-50%);

     */
}
#alert_box h1 > div
{
    display: inline-block;
    position: relative;
    height: 30px !important;
    width: 30px;
    padding: 1px 1px 1px;
    float: right;
    font-size: medium;
    font-weight: normal;
    margin-right: 5px;
    top: 50% !important;
    transform: translateY(-50%);
}
#alert_box h1 > div::after
{
    content: "";
    display: block;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
    width: 100%;
    text-align: center;
    color: white;
    z-index: 1;
}
#alert_box h1 > div:hover
{
    cursor: pointer;
}
#alert_box h1 > div.close
{
    color: black;
    background-color: white;
    border-radius: calc( 5 * var(--border-radius) );
    display: block;
    position: absolute;
    right: 1px;
}
#alert_box h1 > .close::after
{
    content: "\2716";
}
#alert_box h1.alert > .close::after
{
    color: var(--problem_bg);
}
#alert_box h1.message > .close::after
{
    color: navy;
}

#alert_box h1 > .close:hover
{
    background-color: var(--footer_dark);
    color: var(--problem_text);
}
#alert_box h1.alert
{
    background-color: var(--problem_bg);
}
#alert_box h1.message
{
    background-color: rgb(30, 102, 175); /* pds blue */
}

@keyframes alertSwipeDown
{
    0%  { top: -1200px; }
    80% { top: 10% }
    100% { top:  50% }
}
.swipeDown_alert
{
    animation: alertSwipeDown 250ms linear;
}
@keyframes alertSwipeUp
{
    0%  { top: 50%; }
    10% { top: 10% }
    100% { top: -1200px }
}
.swipeUp_alert
{
    animation: alertSwipeUp 500ms linear;
}

#alertMsg button
{
    display: inline-block;
    position: relative;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 15px;
    padding-right: 15px;
}
    #alertMsg button.active
    {
        background-color: var(--pds_active_background);
        color: var(--pds_active_text);
        border: none;
        border-radius: var(--pds_tab_radius);
        left: 50%;
        transform: translateX(-50%);
    }
    #alertMsg button.active:hover
    {
        background-color: var(--pds_tab_hover);
        cursor: pointer;
    }